

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Helpers for plotly &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Result structure of a simulation" href="structure_simulations.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Helpers for plotly</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/graph_plotly.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-network_extensions.igraphx.graph_plotly">
<span id="helpers-for-plotly"></span><h1>Helpers for plotly<a class="headerlink" href="#module-network_extensions.igraphx.graph_plotly" title="Permalink to this headline">¶</a></h1>
<p>Some helpers to plot the networks with plotly (<a class="reference external" href="https://plot.ly">https://plot.ly</a>)</p>
<dl class="function">
<dt id="network_extensions.igraphx.graph_plotly.createFigGraph">
<code class="sig-prename descclassname">network_extensions.igraphx.graph_plotly.</code><code class="sig-name descname">createFigGraph</code><span class="sig-paren">(</span><em class="sig-param">gr: igraph.Graph</em>, <em class="sig-param">title: str = ''</em>, <em class="sig-param">hover_field: str = 'label'</em>, <em class="sig-param">sizes: object = 2</em>, <em class="sig-param">typ_field: str = None</em>, <em class="sig-param">pos: list = None</em><span class="sig-paren">)</span> &#x2192; plotly.graph_objs._figure.Figure<a class="reference internal" href="_modules/network_extensions/igraphx/graph_plotly.html#createFigGraph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.graph_plotly.createFigGraph" title="Permalink to this definition">¶</a></dt>
<dd><p>create figure for plotly</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>gr</strong> – graph to be plotted</p></li>
<li><p><strong>title</strong> – title of the plot</p></li>
<li><p><strong>sizes</strong> – can be an float or an array, defines size for each vertex</p></li>
<li><p><strong>hover_field</strong> – property of the node to be displayed (defaults to label)</p></li>
<li><p><strong>typ_field</strong> – if set the generate 3d perspective</p></li>
<li><p><strong>pos</strong> – array with x,y coodinates for each vertex. If none layout_fruchterman_reingold() is called.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>figure which than can be used by plotly</p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.graph_plotly.createSizeFromFunc">
<code class="sig-prename descclassname">network_extensions.igraphx.graph_plotly.</code><code class="sig-name descname">createSizeFromFunc</code><span class="sig-paren">(</span><em class="sig-param">gr: igraph.Graph</em>, <em class="sig-param">func: str = 'betweenness'</em>, <em class="sig-param">min_size: float = 2</em>, <em class="sig-param">scale_size: float = 10</em><span class="sig-paren">)</span> &#x2192; numpy.array<a class="reference internal" href="_modules/network_extensions/igraphx/graph_plotly.html#createSizeFromFunc"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.graph_plotly.createSizeFromFunc" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates an numpy array with sizes for each vertex in the graph.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>gr</strong> – igraph.Graph object</p></li>
<li><p><strong>func</strong> – (optional) the name of a method of gr which calculates a numerical value for each vertex. Defaults to “betweenness”.</p></li>
<li><p><strong>min_size</strong> – the minimal size of each vertex</p></li>
<li><p><strong>scale_size</strong> – maximal size of each vertex</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>np.array</p>
</dd>
</dl>
</dd></dl>

</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="structure_simulations.html" class="btn btn-neutral float-left" title="Result structure of a simulation" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>